Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class ANSI.RenderMessageSource

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.tools.shell.util.MessageSource
              org.codehaus.groovy.tools.shell.util.ANSI.RenderMessageSource

    class ANSI.RenderMessageSource
    extends MessageSource

Constructor Summary
`ANSI.RenderMessageSource(String[] names)`
`ANSI.RenderMessageSource(String name)`
`ANSI.RenderMessageSource(Class[] types)`
`ANSI.RenderMessageSource(Class type)`

Method Summary
`String` | `getMessage(String code)`

Methods inherited from class MessageSource
format, getMessage, getProperty

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(String[] names)

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(String name)

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(Class[] types)

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(Class type)

Method Detail

### getMessage

    public String getMessage(String code)

Copyright © 2003-2009 The Codehaus. All rights reserved.